%global pypi_name cmarkgfm

Summary:        Python bindings for GitHub's cmark
Name:           python-%{pypi_name}
Version:        2024.1.14
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/jonparrott/cmarkgfm
Source0:        https://files.pythonhosted.org/packages/source/c/cmarkgfm/cmarkgfm-%{version}.tar.gz

BuildRequires:  gcc

%description
Bindings to GitHub's cmark Minimalist bindings to GitHub's fork of cmark.

%package -n     python3-%{pypi_name}
Summary:        Python bindings for GitHub's cmark
BuildRequires:  python3-devel python3-cffi python3-setuptools python3-pytest

%description -n python3-%{pypi_name}
Bindings to GitHub's cmark Minimalist bindings to GitHub's fork of cmark.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
chmod -x README.rst LICENSE.txt

%build
%py3_build

%install
%py3_install

%check
%pytest -v tests

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-%{version}-py*.egg-info/

%changelog
* Tue Nov 12 2024 Upgrade Robot <upbot@opencloudos.tech> - 2024.1.14-1
- Upgrade to version 2024.1.14 to fix CVE-2023-37463. 

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.10.27-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.10.27-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.10.27-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.10.27-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Miaojun Dong <zoedong@tencent.com> - 2022.10.27-1
- initial build
